# Enum Class VariantContextWriterBuilder.OutputType

java.lang.Object
java.lang.Enum<VariantContextWriterBuilder.OutputType>
htsjdk.variant.variantcontext.writer.VariantContextWriterBuilder.OutputType

All Implemented Interfaces:
  `Serializable, Comparable<VariantContextWriterBuilder.OutputType>, Constable`

Enclosing class:
  `VariantContextWriterBuilder`

public static enum VariantContextWriterBuilder.OutputType extends Enum<VariantContextWriterBuilder.OutputType>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BCF`
`BCF_STREAM`
`BLOCK_COMPRESSED_VCF`
`UNSPECIFIED`
`VCF`
`VCF_STREAM`

## Method Summary

Modifier and Type
Method
Description
`static VariantContextWriterBuilder.OutputType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static VariantContextWriterBuilder.OutputType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNSPECIFIED

public static final VariantContextWriterBuilder.OutputType UNSPECIFIED

### VCF

public static final VariantContextWriterBuilder.OutputType VCF

### BCF

public static final VariantContextWriterBuilder.OutputType BCF

### BLOCK_COMPRESSED_VCF

public static final VariantContextWriterBuilder.OutputType BLOCK_COMPRESSED_VCF

### VCF_STREAM

public static final VariantContextWriterBuilder.OutputType VCF_STREAM

### BCF_STREAM

public static final VariantContextWriterBuilder.OutputType BCF_STREAM

## Method Details

### values

public static VariantContextWriterBuilder.OutputType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static VariantContextWriterBuilder.OutputType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null